org.licas.server

## Class NonBlockingServerMethodHandler

- java.lang.Object
- - org.licas.server.ServerMethodHandler
  - - org.licas.server.NonBlockingServerMethodHandler

-     public class NonBlockingServerMethodHandler
      extends ServerMethodHandler

  This class receives the HTTP non-blocking (asynchronous) server request, parses it back into the Java object (`MethodInfo` or `REST`) and passes that to the appropriate service for execution.
  Author:
    Kieran Greer

- - ### Field Summary

    - ### Fields inherited from class org.licas.server.ServerMethodHandler

      `adminKey, isBlocking, isXmlRpc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonBlockingServerMethodHandler(java.lang.String theAdminKey)` Create a new instance of NonBlockingServerMethodHandler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpEntity` | `handleMethodExecution(BusEntity bo)` Handle the HTTP request.

    - ### Methods inherited from class org.licas.server.ServerMethodHandler

      `badRequestResponse, convertRequest, convertResponse, forbiddenResponse, noContentResponse, notFoundResponse, processLocalCall, processServiceCall, serverRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NonBlockingServerMethodHandler

          public NonBlockingServerMethodHandler(java.lang.String theAdminKey)
                                         throws java.lang.Exception

      Create a new instance of NonBlockingServerMethodHandler.
      Parameters:
        `theAdminKey` - the server admin key.
      Throws:
        `java.lang.Exception` - any error.

  - ### Method Detail

    - #### handleMethodExecution

          public HttpEntity handleMethodExecution(BusEntity bo)

      Handle the HTTP request.
      Specified by:
        `handleMethodExecution` in class `ServerMethodHandler`
      Parameters:
        `bo` - the object retrieved from the message bus.
      Returns:
        `null`, as non-blocking.